#ifndef _CONVERSIONTHREAD_H
#define _CONVERSIONTHREAD_H
#include <QThread>
#include <QStringList>
#include <QMessageBox>
#include <QString>
#include <QChar>
#include <QDir>
#include <QProcess>
#include <QFile>
#include <QtDebug>
class conversionThread : public QThread
{
	Q_OBJECT
	public:
		struct {
			int xRes;
			int yRes;
			int type;
			int frameRate;
			int bitRate;
			QString bgColour;
			QString codec;
			QString otherParams;
			int labelPosition;
			int labelSize;
			QString labelColour;
			QString label;
			QString labelFont;
			QStringList files;
			QString outFile;
			bool lossless;
			QString tempDir;
			bool stop;
		} param;
	private:
		QProcess proc;
		QString gravity;
		QStringList gravityList;
		QString resFlag;
		float p;
	protected:
		void run();
		void execCmd( QString command, QStringList params );
		QString getLabel ( QString fileName, QString label );
		float percentage();
		void incrementPercentage( float amount );
		void setPercentage ( float value );
		void notify ( QString n, bool newline );
		void done ();
	signals:
		void percentageChanged ( int percentage );
		void notification ( QString text );
		void finished ( void );
};


#endif
//
