#ifndef MAINWINDOWIMPL_H
#define MAINWINDOWIMPL_H
//
#include <QMainWindow>
#include <QtDebug>
#include <QCloseEvent>
#include <QByteArray>
#include <QFile>
#include <QProcess>
#include <QMessageBox>
#include <QFileDialog>
#include <QStringList>
#include <QColorDialog>
#include <QColor>
#include <QFileInfo>
#include <QDateTime>
#include "ui_mainwindow.h"
#include "conversionthread.h"
//Flag variable:
#define justStarted 0
#define converting 1
#define rendering 2
class MainWindowImpl : public QMainWindow, public Ui::MainWindow
{
Q_OBJECT
public:
	MainWindowImpl( QWidget * parent = 0, Qt::WFlags f = 0 );
	QString settingsFile;
	QStringList inFiles;
	QProcess *process;
	QString output;
	conversionThread myThread;
	bool ok;
	int flag;
private slots:
	void addClicked ();
	void removeClicked ();
	void clearClicked();
	void upClicked();
	void downClicked();
	void sortClicked();
	void outFileClicked();
	void tempDirClicked();
	void runClicked();
	void cancelClicked();
	void saveSettings();
	void readSettings();
	void enableLabel(int pos);
	void colourDialog();
	void colourDialog2();
	QString fReadLine(QFile *file);
	bool fReadBool(QFile *file);
	int fReadInt(QFile *file);
	void connectUi();
	void refreshList();
	uint getFileCreated( QString fileName );
	void changePercentage ( int value );
	void displayNotification ( QString text );
protected:
	void closeEvent(QCloseEvent *event);
};
#endif




